org.apache.ignite.internal.suggestions

## Class OsConfigurationSuggestions

- java.lang.Object
- - org.apache.ignite.internal.suggestions.OsConfigurationSuggestions

    public class OsConfigurationSuggestions
    extends Object

Operation System configuration suggestions.

### Constructor Summary

Constructors
Constructor and Description
`OsConfigurationSuggestions()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static List<String>` `getSuggestions()` Checks OS configurations and produces tuning suggestions.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OsConfigurationSuggestions

    public OsConfigurationSuggestions()

### Method Detail

#### getSuggestions

    public static List<String> getSuggestions()

Checks OS configurations and produces tuning suggestions.

Returns:
  List of suggestions of Operation system configuration tuning to increase Ignite performance.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018